Tracxn legal entity
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-tracxn-legal-entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-tracxn-legal-entities"
payload = { "entity": "https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: 'https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw'
})
};
fetch('https://api.neuralverge.ai/functions/v1/run-tracxn-legal-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "tracxn_legal_entities",
"entity": "https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"entity_id": "legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"human": "# Tracxn — legal entity\n\n- **Id:** legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw\n- **Pages opened:** 1\n- **Proxy traffic:** 676.8 KB\n- **Name:** SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED\n- **CIN:** U51909KA2011PTC060707\n- **Country:** India\n- **Status:** Active\n- **Type:** Private Limited Company",
"machine": {
"legal_entity": {
"id": "wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"alias": "supermarket-grocery-supplies-private-limited",
"url": "https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"name": "SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED",
"cin": "U51909KA2011PTC060707",
"country": "India",
"status": "Active",
"entity_type": "Private Limited Company",
"incorporation_date": "2011-10-07",
"company_age": "14 Years 11 Months",
"registrar": "ROC - Bangalore",
"last_agm_date": "2025-06-26",
"latest_revenue": "₹1,000+ Cr",
"latest_revenue_as_of": "2025-03-31",
"employee_count": 1631,
"employee_count_as_of": "2026-03-01",
"authorized_capital": "₹26Cr",
"paid_up_capital": "₹15.1Cr",
"registered_address": "FAIRWAY BUSINESS PARK, 2ND, 7TH AND 8TH FLOOR, CHALLAGHATTA VILLAGE, BEHIND DELL, DOMLU, R, Bangalore, BANGALORE, Karnataka, India, 560071",
"industry_classification": "other Wholesale N.E.C",
"description": "SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED is a Private Limited Company and was incorporated on Oct 07, 2011 in India. It is registered at Registrar of Companies, ROC Bangalore. Its registered addre",
"brands": [
{
"id": "lgBEzK2HajAJWbmAO0CnrQYnIPr1qailEUYRD4zGXVU",
"name": "Bigbasket",
"url": "https://tracxn.com/d/companies/bigbasket/__lgBEzK2HajAJWbmAO0CnrQYnIPr1qailEUYRD4zGXVU",
"description": "Online retailer of grocery, household, beauty, and personal care products",
"founded_year": 2011,
"country": "India",
"stage": "Acquired"
},
{
"id": "4bPrXIMh0Y0R8undjAUrlOvBlUbVsR8_FHH2ROlolgs",
"name": "Kwik24",
"url": "https://tracxn.com/d/companies/kwik24/__4bPrXIMh0Y0R8undjAUrlOvBlUbVsR8_FHH2ROlolgs",
"description": "Provider of IoT-enabled smart vending machine",
"founded_year": 2016,
"country": "India",
"stage": "Acqui-Hired"
}
],
"principal_activity": [
{
"group_code": "G",
"group": "Wholesale and retail trade; repair of motor vehicles and motorcycles",
"activity_code": "46",
"activity": "Wholesale trade, except of motor vehicles and motorcycles"
}
],
"recent_filings": [
{
"document": "Form DPT-3",
"category": "Other eForm Documents",
"filing_date": "2026-06-18"
},
{
"document": "Form PAS-6",
"category": "Other eForm Documents",
"filing_date": "2026-05-19"
}
],
"shareholding_summary": "Founders own 2.89%, Funds own 34.00%, Angels own 0.64% and Parent Entities (largest shareholder) own 56.24%. The net worth of SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED's founders is INR 643Cr as of",
"board_of_directors": [
{
"name": "Deepika Kaur Bhan",
"designation": "Additional Director",
"status": "Current",
"appointment_date": "2025-07-16",
"duration": "1 Year 2 Months"
},
{
"name": "Sivanandan Sajith",
"designation": "Additional Director",
"status": "Current",
"appointment_date": "2025-09-30",
"duration": "1 Year"
}
],
"signatories": [
{
"name": "Menon Hari",
"designation": "Director",
"status": "Current",
"appointment_date": "2018-01-24",
"duration": "8 Years 8 Months"
},
{
"name": "Sneha Singh",
"designation": "Company Secretary",
"status": "Current",
"appointment_date": "2022-03-01",
"duration": "4 Years 6 Months"
}
],
"competitors": [
{
"rank": 1,
"id": "8L46lNfjqGM9DHz7xSR4zs7iWwa57QNKLZaVbfNa3T4",
"name": "Swiggy",
"url": "https://tracxn.com/d/companies/swiggy/__8L46lNfjqGM9DHz7xSR4zs7iWwa57QNKLZaVbfNa3T4",
"alias": "swiggy",
"founded_year": 2013,
"city": "Bengaluru",
"country": "India",
"stage": "Public",
"description": "Operator of digital platforms facilitating food and grocery delivery services",
"total_funding": "$3.62B",
"total_funding_usd": 3620000000,
"investors": [
{
"name": "Naspers",
"url": "https://tracxn.com/d/venture-capital/naspers/__Q1-WNdMwjJ2KTFLk7CabvAXlo2STPtCM8yzJv8aeqgQ",
"id": "Q1-WNdMwjJ2KTFLk7CabvAXlo2STPtCM8yzJv8aeqgQ",
"alias": "naspers"
},
{
"name": "Prosus",
"url": "https://tracxn.com/d/venture-capital/prosus/__IK5cI8VFxw-gWw-XBkvkRE1-EjV3-XOBlI2WSrauk-k",
"id": "IK5cI8VFxw-gWw-XBkvkRE1-EjV3-XOBlI2WSrauk-k",
"alias": "prosus"
}
],
"investor_count": 92,
"tracxn_score": 89
},
{
"rank": 2,
"id": "pdyjeRJO4F9T4bszwNqvwPQ3VwyVU6D35oAU-ct-k9M",
"name": "Blinkit",
"url": "https://tracxn.com/d/companies/blinkit/__pdyjeRJO4F9T4bszwNqvwPQ3VwyVU6D35oAU-ct-k9M",
"alias": "blinkit",
"founded_year": 2013,
"city": "Gurugram",
"country": "India",
"stage": "Acquired",
"description": "Online retailer of groceries, personal care, and household essential products",
"total_funding": "$757M",
"total_funding_usd": 757000000,
"investors": [
{
"name": "SoftBank Vision Fund",
"url": "https://tracxn.com/d/venture-capital/softbank-vision-fund/__iBoxR9kOl7lv87Qodi9FvPadNCcZMQdUQzjUzbvLg7M",
"id": "iBoxR9kOl7lv87Qodi9FvPadNCcZMQdUQzjUzbvLg7M",
"alias": "softbank-vision-fund"
},
{
"name": "Tiger Global Management",
"url": "https://tracxn.com/d/private-equity/tiger-global-management/__KvIcCuRyBQRM0VmyzNCQjizVzwKStiHdm0ySWYxfGRc",
"id": "KvIcCuRyBQRM0VmyzNCQjizVzwKStiHdm0ySWYxfGRc",
"alias": "tiger-global-management"
}
],
"investor_count": 25,
"tracxn_score": 87
}
],
"news": [
{
"title": "BigBasket Founder Hari Menon Reflects on Quick Commerce Pivot and Leadership Transition",
"url": "https://officechai.com/startups/was-initially-in-denial-of-the-idea-of-quick-commerce-but-customers-lapped-it-up-big-basket-founder-hari-menon",
"source": "OfficeChai",
"date": "2026-06-27",
"entities": [
{
"name": "Bigbasket",
"url": "https://tracxn.com/d/companies/bigbasket/__lgBEzK2HajAJWbmAO0CnrQYnIPr1qailEUYRD4zGXVU",
"id": "lgBEzK2HajAJWbmAO0CnrQYnIPr1qailEUYRD4zGXVU",
"alias": "bigbasket"
}
]
},
{
"title": "Amit Nanda Replaces Hari Menon as bigbasket CEO",
"url": "https://entrackr.com/news/former-amazon-exec-amit-nanda-replaces-hari-menon-as-bigbasket-ceo-12045345",
"source": "Entrackr",
"date": "2026-06-16",
"entities": [
{
"name": "Bigbasket",
"url": "https://tracxn.com/d/companies/bigbasket/__lgBEzK2HajAJWbmAO0CnrQYnIPr1qailEUYRD4zGXVU",
"id": "lgBEzK2HajAJWbmAO0CnrQYnIPr1qailEUYRD4zGXVU",
"alias": "bigbasket"
}
]
}
],
"faqs": [
{
"question": "When was SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED incorporated?",
"answer": "SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED was incorporated on Oct 07, 2011. It is registered with the Registrar of Companies, Bangalore, and its current company status is Active."
},
{
"question": "What is the Corporate Identification Number (CIN) of SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED?",
"answer": "SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED's Corporate Identification Number (CIN) is U51909KA2011PTC060707."
}
],
"updated_at": "2026-09-30"
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 693051
},
"total_points": 5
}Startup & Funding Data
Tracxn legal entity
Get one registered legal entity from Tracxn by URL or id token: CIN, status, type, incorporation date, registrar, capital, address, brands, business activity, recent filings, directors and signatories. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-tracxn-legal-entities
Tracxn legal entity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Legal entity URL or id token. e.g. https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw
Response
Run completed.